Subject: bug#65506: closed (Re: [bug#65533] [PATCH] gnu: anki: Fix preferences error.)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 28 Aug 2023 10:55:02 +0000

Your bug report

#65506: Anki: Preferences Dialog Broken

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
65506: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=65506
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#65533] [PATCH] gnu: anki: Fix preferences error.
From: 宋文武 <[email-masked]>
To: [email-masked]
Cc: 宋文武 <[email-masked]>, [email-masked]
Date: Mon, 28 Aug 2023 18:54:49 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

>
> * gnu/packages/education.scm (anki)[source]: Add snippet.
> ---
>  gnu/packages/education.scm | 7 +++++++
>  1 file changed, 7 insertions(+)
>
> diff --git a/gnu/packages/education.scm b/gnu/packages/education.scm
> index bb307cf7ab..21c8a60c0b 100644
> --- a/gnu/packages/education.scm
> +++ b/gnu/packages/education.scm
> @@ -737,6 +737,13 @@ (define-public anki
>                             version "-source.tgz"))
>         (sha256
>          (base32 "1gfr51rnllkyzli73p4r51h5ypzfa3m7lic3m3rzpywmqwrxs07k"))
> +       (modules '((guix build utils)))
> +       ;; #65506 Fix preferences error.
> +       (snippet '(substitute* "aqt/preferences.py"
> +                   (("qc\\['collapseTime']/60\\.0" x)
> +                    (format #f "int(~a)" x))
> +                   (("qc\\['timeLim']/60\\.0" x)
> +                    (format #f "int(~a)" x))))
>         (patches (search-patches "anki-mpv-args.patch"))))
>      (build-system gnu-build-system)
>      (arguments
>
> base-commit: 1c916c167b7eb1f2f8af2cf621aa1512b00b1033

Pushed now, closing.

Subject: Anki: Preferences Dialog Broken
From: Christopher Howard <[email-masked]>
To: Bug Guix <[email-masked]>
Date: Thu, 24 Aug 2023 08:32:56 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello, The Anki program works well except that if I select Tools >> Preferences menu, I do not get a preferences menu, and instead I get this error:

```
Error 
An error occurred. Please use Tools > Check Database to see if that fixes the problem. 
If problems persist, please report the problem on our support site. Please copy and paste the information below into your report.
Anki 2.1.16 (4bc33e2f) Python 3.10.7 Qt 5.15.8 PyQt 5.15.9
Platform: Linux
Flags: frz=False ao=False sv=2

Caught exception:
Traceback (most recent call last):
  File "/gnu/store/c6hiswiwspb70q7lfy61fwdyr3i1j6jz-anki-2.1.16/share/anki/aqt/main.py", line 881, in onPrefs
    aqt.dialogs.open("Preferences", self)
  File "/gnu/store/c6hiswiwspb70q7lfy61fwdyr3i1j6jz-anki-2.1.16/share/anki/aqt/__init__.py", line 82, in open
    instance = creator(*args)
  File "/gnu/store/c6hiswiwspb70q7lfy61fwdyr3i1j6jz-anki-2.1.16/share/anki/aqt/preferences.py", line 25, in __init__
    self.setupCollection()
  File "/gnu/store/c6hiswiwspb70q7lfy61fwdyr3i1j6jz-anki-2.1.16/share/anki/aqt/preferences.py", line 80, in setupCollection
    f.lrnCutoff.setValue(qc['collapseTime']/60.0)
TypeError: setValue(self, val: int): argument 1 has unexpected type 'float'
```    

Guix describe:

```
Generation 50	Aug 02 2023 07:39:20	(current)
  guix 6ccfa48
    repository URL: https://git.savannah.gnu.org/git/guix.git
    commit: 6ccfa48d83b9c513b40835ae0c5896102b4dd915
```

Here is my system information:

```
christopher@theoden 
------------------- 
OS: Guix System x86_64 
Host: OptiPlex 9020 00 
Kernel: 5.15.120-gnu 
Uptime: 21 days, 22 hours, 20 mins 
Packages: 93 (guix-system), 197 (guix-user) 
Shell: bash 5.1.16 
Resolution: 1920x1080 
DE: GNOME 
Theme: Adwaita [GTK2/3] 
Icons: Adwaita [GTK2/3] 
Terminal: shepherd 
CPU: Intel i5-4570 (4) @ 3.600GHz 
GPU: AMD ATI Radeon HD 8490 / R5 235X OEM 
GPU: Intel HD Graphics 
Memory: 5752MiB / 7867MiB 
```

-- 
📛 Christopher Howard
🚀 gemini://gem.librehacker.com
🌐 http://gem.librehacker.com

בראשית ברא אלהים את השמים ואת הארץ